{
  "name": "@processmaker/modeler",
  "version": "1.8.0",
  "scripts": {
    "serve": "vue-cli-service serve",
    "open-cypress": "TZ=UTC cypress open",
    "lint": "vue-cli-service lint --no-fix",
    "build-bundle": "vue-cli-service build --target lib --name modeler ./src/components/nodes/index.js",
    "bundle-analyze": "npm run build-bundle -- --analyze",
    "bundle-link": "npm run build-bundle",
    "postbundle-link": "npm link",
    "lint-fix": "vue-cli-service lint",
    "pretest": "npm run check-peer-deps",
    "pretest-unit": "rm -rf .nyc_output || true",
    "test": "npm run test-unit && npm run test-ci",
    "check-peer-deps": "npm ls --depth=0",
    "posttest": "npm run report:combined",
    "test-unit": "JEST_JUNIT_OUTPUT_DIR=test_summary_reports/jest/ vue-cli-service test:unit --ci --runInBand --reporters=default --reporters=jest-junit",
    "test-ci": "TZ=UTC vue-cli-service test:e2e --mode test --headless --browser chrome -- --reporter mocha-junit-reporter --reporter-options mochaFile=reports/mocha/test-results.xml",
    "mkdir:reports": "mkdir reports || true",
    "precopy:reports": "npm run mkdir:reports",
    "copy:reports": "cp cypress-coverage/coverage-final.json reports/from-cypress.json && cp jest-coverage/coverage-final.json reports/from-jest.json",
    "precombine:reports": "npm run copy:reports && mkdir .nyc_output || true",
    "combine:reports": "nyc merge reports && mv coverage.json .nyc_output/out.json",
    "prereport:combined": "npm run combine:reports",
    "report:combined": "nyc report --reporter lcov --report-dir coverage"
  },
  "main": "./dist/modeler.common.js",
  "files": [
    "dist/*",
    "src/*",
    "public/*",
    "*.json",
    "*.js",
    "blank.bpmn"
  ],
  "dependencies": {
    "@babel/plugin-proposal-private-methods": "^7.12.1",
    "@fortawesome/fontawesome-free": "^5.15.1",
    "@fortawesome/fontawesome-svg-core": "^1.2.32",
    "@fortawesome/free-solid-svg-icons": "^5.15.1",
    "@fortawesome/vue-fontawesome": "^0.1.10",
    "@processmaker/screen-builder": "^2.6.0",
    "@processmaker/vue-form-elements": "^0.20.0",
    "acorn": "^6.4.2",
    "bootstrap-vue": "^2.0.4",
    "bootstrap": "^4.3.1",
    "bpmn-moddle": "^6.0.7",
    "bpmnlint-plugin-processmaker": "1.1.0",
    "bpmnlint": "^6.4.0",
    "core-js": "^3.7.0",
    "file-saver": "^2.0.5",
    "jest-junit": "^12.0.0",
    "jointjs": "^3.2.0",
    "js-yaml-loader": "^1.2.2",
    "lodash": "^4.17.20",
    "luxon": "^1.25.0",
    "mocha-junit-reporter": "^2.0.0",
    "mustache": "^3.2.1",
    "popper.js": "^1.16.1",
    "svg-inline-loader": "^0.8.2",
    "tinycolor2": "^1.4.2",
    "vue-deepset": "^0.6.3",
    "vue-monaco": "^1.2.1",
    "vue-multiselect": "^2.1.6",
    "vue-upload-component": "^2.8.20",
    "vue": "^2.6.12",
    "vuex": "^3.5.1"
  },
  "devDependencies": {
    "@babel/core": "^7.12.7",
    "@cypress/code-coverage": "^1.14.0",
    "@panter/vue-i18next": "^0.15.2",
    "@processmaker/processmaker-bpmn-moddle": "0.12.0",
    "@types/jest": "^24.9.1",
    "@vue/cli-plugin-babel": "^4.5.9",
    "@vue/cli-plugin-e2e-cypress": "^4.5.9",
    "@vue/cli-plugin-eslint": "^4.5.9",
    "@vue/cli-plugin-unit-jest": "^4.5.9",
    "@vue/cli-service": "^4.5.9",
    "@vue/test-utils": "^1.0.0-beta.29",
    "axios": "^0.21.0",
    "axios-mock-adapter": "^1.19.0",
    "babel-core": "7.0.0-bridge.0",
    "babel-eslint": "^10.1.0",
    "babel-jest": "^24.9.0",
    "babel-plugin-istanbul": "^5.2.0",
    "bpmnlint-loader": "^0.1.4",
    "circular-dependency-plugin": "^5.2.2",
    "copy-webpack-plugin": "^5.1.1",
    "cypress": "6.2.0",
    "cypress-vue-unit-test": "^1.11.7",
    "eslint": "^5.16.0",
    "eslint-plugin-vue": "^5.2.3",
    "husky": "^4.3.5",
    "i18next": "^15.0.8",
    "istanbul-lib-coverage": "^2.0.5",
    "node-sass": "^4.14.1",
    "nyc": "^14.1.1",
    "sass-loader": "^8.0.2",
    "stylelint": "^11.1.1",
    "stylelint-config-recommended-scss": "^4.2.0",
    "stylelint-scss": "^3.18.0",
    "vue-color": "^2.7.1",
    "vue-jest": "^3.0.5",
    "vue-loader": "latest",
    "vue-template-compiler": "^2.6.12",
    "webpack-bundle-analyzer": "^3.6.0",
    "webpack-cli": "^3.3.12",
    "yargs": "^14.2.3"
  },
  "peerDependencies": {
    "vue": "^2.6.12",
    "vue-color": "^2.7.1",
    "bootstrap": "^4.3.1",
    "bootstrap-vue": "^2.0.4",
    "@processmaker/screen-builder": "^2.6.0",
    "@processmaker/vue-form-elements": "^0.20.0",
    "@fortawesome/fontawesome-free": "^5.11.2",
    "@fortawesome/fontawesome-svg-core": "^1.2.25",
    "@fortawesome/free-solid-svg-icons": "^5.11.2",
    "@fortawesome/vue-fontawesome": "^0.1.8",
    "jointjs": "^3.1.1",
    "i18next": "^15.0.8",
    "@panter/vue-i18next": "^0.15.1",
    "luxon": "^1.21.1",
    "lodash": "^4.17.15",
    "bpmn-moddle": "^6.0.0"
  },
  "postcss": {
    "plugins": {
      "autoprefixer": {}
    }
  },
  "browserslist": [
    "> 2%",
    "last 2 versions",
    "not ie <= 8",
    "chrome >= 69"
  ],
  "nyc": {
    "extension": [
      ".js",
      ".vue"
    ],
    "exclude": [
      "tests/**/*.js"
    ],
    "report-dir": "cypress-coverage"
  },
  "husky": {
    "hooks": {
      "pre-commit": "./checkForOnly.sh",
      "pre-push": "npm run lint && npm run test-unit"
    }
  }
}
